| DocBook: The Definitive Guide 2.0.17 (Alpha)

# tocchap

$Revision$

$Date$

tocchap — An entry in a table of contents for a component in the body of a document

## Synopsis

### Content Model

    tocchap ::=
    (tocentry+,toclevel1*)

### Attributes

Common attributes

Name | Type | Default
label | CDATA | None

## Description

The `ToCchap` element is a chapter-level `ToC` element for components in the main body of a document.

### Processing expectations

Formatted as a displayed block.

In real life, `ToC`s are usually generated automatically by the presentation system and never have to be represented explicitly in the document source.

### Parents

These elements contain tocchap: `appendix`, `article`, `chapter`, `preface`, `toc`, `tocpart`.

### Children

The following elements occur in tocchap: `tocentry`, `toclevel1`.

## Attributes

label

  `Label` specifies an identifying string for presentation purposes.

  Generally, an explicit `Label` attribute is used only if the processing system is incapable of generating the label automatically. If present, the `Label` is normative; it will used even if the processing system is capable of automatic labelling.

## Examples

For examples, see `toc`.

tocback |  | tocentry

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.